Skip to main content
GET
/
api
/
certs
/
{certId}
Get single certificate with ID.
curl --request GET \
  --url https://{tenant}/api/certs/{certId} \
  --header 'Authorization: Bearer <token>'
{
  "dns_names": [
    ".*tyk.io"
  ],
  "fingerprint": "7c440d66ebb0a4629d21329808dce9091acf5f2fde328067a6e60e5347271d90",
  "has_private": false,
  "id": "5e9d9544a1dcd60001d0ed207c440d66ebb0a4629d21329808dce9091acf5f2fde328067a6e60e5347271d90",
  "is_ca": false,
  "issuer": {
    "CommonName": "tyk.io",
    "Country": [
      "Peachtree "
    ],
    "ExtraNames": [
      {
        "Type": [
          2,
          5,
          4,
          6
        ],
        "Value": "Peachtree "
      }
    ],
    "Locality": [
      "JN"
    ],
    "Names": [
      {
        "Type": [
          2,
          5,
          4,
          6
        ],
        "Value": "Peachtree"
      },
      {
        "Type": [
          2,
          5,
          4,
          10
        ],
        "Value": "tyk"
      },
      {
        "Type": [
          2,
          5,
          4,
          11
        ],
        "Value": "tyk"
      },
      {
        "Type": [
          2,
          5,
          4,
          3
        ],
        "Value": "tyk.io"
      },
      {
        "Type": [
          1,
          2,
          840,
          113549,
          1,
          9,
          1
        ],
        "Value": "support@tyk.io"
      }
    ],
    "Organization": [
      "tyk"
    ],
    "OrganizationalUnit": [
      "tyk"
    ],
    "PostalCode": [
      "00010"
    ],
    "Province": [
      "San Jore"
    ],
    "SerialNumber": "",
    "StreetAddress": [
      "River side drive"
    ]
  },
  "not_after": "2034-03-26T08:46:37Z",
  "not_before": "2024-03-25T08:46:37Z",
  "subject": {
    "CommonName": "tyk.io",
    "Country": [
      "Peachtree "
    ],
    "ExtraNames": [
      {
        "Type": [
          2,
          5,
          4,
          6
        ],
        "Value": "Peachtree "
      }
    ],
    "Locality": [
      "JN"
    ],
    "Names": [
      {
        "Type": [
          2,
          5,
          4,
          6
        ],
        "Value": "Peachtree "
      },
      {
        "Type": [
          2,
          5,
          4,
          10
        ],
        "Value": "tyk"
      },
      {
        "Type": [
          2,
          5,
          4,
          11
        ],
        "Value": "tyk"
      },
      {
        "Type": [
          2,
          5,
          4,
          3
        ],
        "Value": "tyk.io"
      },
      {
        "Type": [
          1,
          2,
          840,
          113549,
          1,
          9,
          1
        ],
        "Value": "support@tyk.io"
      }
    ],
    "Organization": [
      "tyk"
    ],
    "OrganizationalUnit": [
      "tyk"
    ],
    "PostalCode": [
      "00010"
    ],
    "Province": [
      "San Jore"
    ],
    "SerialNumber": "",
    "StreetAddress": [
      "River side drive"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://tyk.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Tyk Dashboard API Access Credentials

Path Parameters

certId
string
required

ID of the certificate you want to fetch.

Response

Certificates fetched.

dns_names
string[]
fingerprint
string
has_private
boolean
id
string
is_ca
boolean
issuer
object
not_after
string<date-time>
not_before
string<date-time>
subject
object